UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
lbm_rcv_transport_stats_lbtipc_t_stct Struct Reference

Structure that holds datagram statistics for receiver LBT-IPC transports. More...

`#include <lbm.h>`

## Data Fields
lbm_ulong_t | msgs_rcved
| Number of LBT-IPC datagrams received. (Cumulative) More...
lbm_ulong_t | bytes_rcved
| Number of LBT-IPC datagram bytes received, i.e., the total of lengths of all LBT-IPC packets including UM header information. (Cumulative)
lbm_ulong_t | lbm_msgs_rcved
| Number of messages or message fragments received over an LBT-IPC transport. (Cumulative) More...
lbm_ulong_t | lbm_msgs_no_topic_rcved
| Number of messages received that were not for a topic of interest to the receiver. (Cumulative) A high value (relative to, or approaching lbm_msgs_rcved above) indicates more CPU time required to filter out uninteresting topics, in which case, consider reconfiguring sources to filter more aggressively at the transport layer.
lbm_ulong_t | lbm_reqs_rcved
| Number of UM request messages received (message type LBM_MSG_REQUEST). (Cumulative)

## Detailed Description

Structure that holds datagram statistics for receiver LBT-IPC transports.

Note that when stats are sampled, the fields in the structure are not necessarily from the same instant in time. The structure might be updated concurrently with it being sampled, and while each structure field is atomically read, the field values can be skewed slightly across time.

See lbm_rcv_transport_stats_lbtipc_t_stct for field definitions.

Cumulative vs Snapshot

These UM statistics are cumulative. For example, msgs_rcved starts at zero and grows over time as more and more messages are sent.

## Field Documentation

lbm_ulong_t lbm_rcv_transport_stats_lbtipc_t_stct::lbm_msgs_rcved

Number of messages or message fragments received over an LBT-IPC transport. (Cumulative)

A single datagram may contain one or more messages or a fragment of a larger message. For fragmented messages larger than configuration option transport_lbtipc_datagram_max_size (context) (default 64KB), this count reflects the number of datagrams used to constitute those messages. Thus, this number is equal to or greater than the datagram counter (msgs_rcved, above). This number also includes messages received for which there was no interested receiver, which is tallied in the lbm_msgs_no_topic_rcved counter (below).

lbm_ulong_t lbm_rcv_transport_stats_lbtipc_t_stct::msgs_rcved

Number of LBT-IPC datagrams received. (Cumulative)

Depending on batching settings, a single LBT-IPC datagram may contain one or more messages, or a fragment of a larger message. With LBT-IPC, larger messages are split into fragment sizes limited by configuration option transport_lbtipc_datagram_max_size (context) (default 64KB).

The documentation for this struct was generated from the following file:

- lbm.h